Sets how consumer plan-change requests on the entitlement are approved.
POST
/api/v1/provision/admin/entitlements/{entitlementId}/policies/plan-change
const url = 'https://example.com/api/v1/provision/admin/entitlements/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/policies/plan-change';const options = { method: 'POST', headers: {'Content-Type': 'application/json'}, body: '{"mode":"RequireApproval"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://example.com/api/v1/provision/admin/entitlements/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/policies/plan-change \ --header 'Content-Type: application/json' \ --data '{ "mode": "RequireApproval" }'Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”entitlementId
required
string format: uuid
Target entitlement.
Request Bodyrequired
Section titled “Request Bodyrequired”Approval mode payload.
How consumer-initiated plan-change requests on an entitlement are approved.
object
mode
How consumer-initiated plan-change requests on an entitlement are approved.
object
mode
How consumer-initiated plan-change requests on an entitlement are approved.
object
mode
Responses
Section titled “Responses”OK
Bad Request
object
type
null | string
title
null | string
status
null | integer | string format: int32
detail
null | string
instance
null | string
object
type
null | string
title
null | string
status
null | integer | string format: int32
detail
null | string
instance
null | string
Examplegenerated
{ "type": "example", "title": "example", "status": 1, "detail": "example", "instance": "example"}object
type
null | string
title
null | string
status
null | integer | string format: int32
detail
null | string
instance
null | string
Examplegenerated
{ "type": "example", "title": "example", "status": 1, "detail": "example", "instance": "example"}Not Found
object
type
null | string
title
null | string
status
null | integer | string format: int32
detail
null | string
instance
null | string
object
type
null | string
title
null | string
status
null | integer | string format: int32
detail
null | string
instance
null | string
Examplegenerated
{ "type": "example", "title": "example", "status": 1, "detail": "example", "instance": "example"}object
type
null | string
title
null | string
status
null | integer | string format: int32
detail
null | string
instance
null | string
Examplegenerated
{ "type": "example", "title": "example", "status": 1, "detail": "example", "instance": "example"}